# HG changeset patch
# Parent  715b48d46083adb1380ac308aa596e7b9abf38ad
Skip-Test-Unless seems to eval its args.

diff -r 715b48d46083 -r 21465b621b78 tests/automated/mule-tests.el
--- a/tests/automated/mule-tests.el	Fri Dec 22 15:09:14 2017 +0900
+++ b/tests/automated/mule-tests.el	Sat Dec 23 17:37:09 2017 +0900
@@ -44,7 +44,7 @@
 ;; Test whether all legal chars may be safely inserted to a buffer.
 ;;-----------------------------------------------------------------
 
-(defun test-chars (&optional for-test-harness)
+(defun test-chars (&optional for-test-harness limit)
   "Insert all characters in a buffer, to see if XEmacs will crash.
 This is done by creating a string with all the legal characters 
 \(see the documentation for the variable `char-code-limit' and the function
@@ -52,10 +52,14 @@
 contents are equivalent to the string.
 
 If FOR-TEST-HARNESS is specified, a temporary buffer is used, and
-the Assert macro checks for correctness."
+the Assert macro checks for correctness.
+LIMIT is the upper bound on the characters checked, defaulting to
+`char-code-limit'.  Note that in conventional Mule this is 2^30, and will
+probably cause XEmacs to freeze indefinitely or crash."
   (let ((list nil)
-	(i 0))
-    (while (< i char-code-limit)
+	(i 0)
+	(limit (or limit char-code-limit)))
+    (while (< i limit)
       (and (not for-test-harness)
 	   (zerop (% i 1000))
 	   (message "%d" i))
@@ -86,7 +90,8 @@
  (<= char-code-limit #x200000) 
  "CHAR-CODE-LIMIT is impractically large"
  ;; Run #'test-chars in byte-compiled mode only.
- (and (compiled-function-p (symbol-function 'test-chars)) (test-chars t)))
+ (and (compiled-function-p (symbol-function 'test-chars))
+      (test-chars t #x200000)))
 
 (defun unicode-code-point-to-utf-8-string (code-point)
   "Convert a Unicode code point to the equivalent UTF-8 string. 
